"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

XDGDesktop subclass:#GNOMEDesktop
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Desktop'
!

!GNOMEDesktop class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!GNOMEDesktop class methodsFor:'accessing'!

priority

    ^50

    "Created: / 11-08-2009 / 16:45:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!GNOMEDesktop class methodsFor:'accessing - defaults'!

defaultEditorCommand
    ^ 'gnome-open %F'

    "Created: / 11-08-2009 / 16:54:43 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!GNOMEDesktop class methodsFor:'testing'!

isAvailable
    ^ super isAvailable and: [ 
        (OperatingSystem getEnvironment: 'XDG_CURRENT_DESKTOP') = 'GNOME'
            or:[(OperatingSystem getEnvironment: 'GNOME_DESKTOP_SESSION_ID') notNil
            or:[(OperatingSystem getEnvironment: 'GNOME_KEYRING_PID') notNil
            ]]
    ]

    "
        GNOMEDesktop isAvailable
    "

    "Created: / 09-05-2012 / 11:47:13 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GNOMEDesktop methodsFor:'accessing-directories'!

desktopDirectory

    ^XDG_DESKTOP_DIR notNil 
        ifTrue:[XDG_DESKTOP_DIR]
        ifFalse:[Filename homeDirectory]

    "Created: / 09-05-2012 / 11:56:19 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

documentsDirectory

    ^XDG_DOCUMENTS_DIR notNil 
        ifTrue:[XDG_DOCUMENTS_DIR]
        ifFalse:[Filename homeDirectory]

    "Created: / 09-05-2012 / 11:56:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GNOMEDesktop class methodsFor:'documentation'!

version
    ^'$Id: GNOMEDesktop.st 10808 2012-05-09 15:04:12Z vranyj1 $'
!

version_SVN
    ^ '$Id: GNOMEDesktop.st 10808 2012-05-09 15:04:12Z vranyj1 $'
! !
